# Honeybadger JavaScript Build Plugin

Shared library for uploading sourcemaps and sending deploy notifications to Honeybadger. 

## Usage

You shouldn't need to use this package directly. This package serves as the core implementation of shared functionality meant to be used within Honeybadger's plugins for JS build/bundling systems such as [webpack](https://github.com/honeybadger-io/honeybadger-js/tree/master/packages/webpack) and [rollup](https://github.com/honeybadger-io/honeybadger-js/tree/master/packages/rollup-plugin). 

## Development

1. Run `npm install`
2. Run the tests with `npm test`
3. Build with `npm run build`

## License

This package is MIT licensed. See the [MIT-LICENSE](./MIT-LICENSE) file in this folder for details.
